ChangeSet 1.1518, 2003/12/08 13:58:14-08:00, greg@kroah.com

[PATCH] USB: fix race with hub devices disconnecting while stuff is still happening to them.


 drivers/usb/core/hub.c |    3 +++
 1 files changed, 3 insertions(+)


diff -Nru a/drivers/usb/core/hub.c b/drivers/usb/core/hub.c
--- a/drivers/usb/core/hub.c	Wed Dec 10 16:47:50 2003
+++ b/drivers/usb/core/hub.c	Wed Dec 10 16:47:50 2003
@@ -692,6 +692,9 @@
 	struct usb_hub *hub = usb_get_intfdata(dev->actconfig->interface[0]);
 	int ret;
 
+	if (!hub)
+		return -ENODEV;
+
 	ret = get_port_status(dev, port + 1, &hub->status->port);
 	if (ret < 0)
 		dev_err (hubdev (dev),
